from __cantcomps import cantcomps
from __minimo import minimo


def crear_evaluar (largo, seguridad):
	def evaluar (n):
		r = (cantcomps (n, largo) >= seguridad)
		return r
	return evaluar


def encontrar_N (largo, bits):
	evaluar = crear_evaluar (largo, 2 ** bits)
	N = minimo (evaluar)
	return N


# ----------------------------------------------------------------
if __name__ == '__main__':

	bits = 128
	largo = 64

	N = encontrar_N (largo, bits)

	print ('bits, largo = ' + str ((bits, largo)))
	print ('N = ' + str (N))

