from hashlib import sha256, sha512


def comprimir (m, bits):
	H = sha512 if bits > 256 else sha256
	tbytes = (bits + 7) // 8

	h = H (m).digest ()[0:tbytes]
	return h


# ----------------------------------------------------------------
if __name__ == '__main__':

	bits = 100
	m = b'abcdabcdabcdabcdabcdabcdabcdabcdabcdabcdabcdabcdabcdabcdabcdabcd'
	h = comprimir (m, bits)

	print ('# m = ' + repr (m))
	print ('# comprimir (m) = ' + repr (h))

