

def mixradix (numero, bases):
	letras = ()
	n = numero
	for base in reversed (bases):
		n, letra = divmod (n, base)
		letras = (letra, ) + letras
	return letras


# ----------------------------------------------------------------
if __name__ == '__main__':

	n = 1234
	bases = 10, 10, 10, 10
	palabra = mixradix (n, bases)

	print ('n = ' + str (n))
	print ('bases = ' + repr (bases))
	print ('miaxradix (n, bases) = ' + repr (palabra))

