from __optimizar_subdivision import optimizar_subdivision


def subdividir (bits, letrasAB, letrasCD):
	espacioAB = 2 ** bits
	(bA, LA), (bB, LB) = optimizar_subdivision (letrasAB, espacioAB)

	espacioCD = (bA - 1) * LA + (bB - 1) * LB + 1
	(bC, LC), (bD, LD) = optimizar_subdivision (letrasCD, espacioCD)

	bases = bA, bB, bC, bD
	largos = LA, LB, LC, LD

	return bases, largos


# ----------------------------------------------------------------
if __name__ == '__main__':

		bits = 128
		letrasAB = 128
		letrasCD = 2

		bases, largos = subdividir (bits, letrasAB, letrasCD)

		print ('bits = ' + str (bits))
		print ('letrasAB, letrasCD = ' + str ((letrasAB, letrasCD)))
		print ('bases, largos = ' + str ((bases, largos)))

